package edu.ehu.tap.C1516.examenOrd.Ej2;
import java.io.*;
import java.util.*;

public class ExamenTAP1516File {
    /**
     * Resuelve el ejercicio planteado. (no se hace tratamiento de errores)
    */
    public static void main(String[] args)  {
        try {
            List<Automovil> coches=new ArrayList<>(), motos=new ArrayList<>();
            
            BufferedReader br=new BufferedReader(new FileReader("TAP1516_ExamenLabo_datos.txt"));
            String linea;
            while ((linea=br.readLine())!=null) {
                if (linea.trim().length()==0) continue;
                String[] campos=linea.split("\\s*,\\s*");
                switch (campos.length) {
                    case 6:motos.add(new Moto(campos[0],campos[1],campos[2],campos[3],campos[4],campos[5]));break;
                    case 8:coches.add(new Coche(campos[0],campos[1],campos[2],campos[3],campos[4],campos[5],campos[6],campos[7]));break;
                    default:System.err.println("Datos incorrectos: "+linea);
                }
            }
            
            ordena(coches);
            ordena(motos);
            
            System.out.println("Listado de coches ordenado por antiguedad------------");
            for(Automovil a:coches) System.out.println(a);
            System.out.println("Listado de motos ordenado por antiguedad------------");
            for(Automovil a:motos) System.out.println(a);
        } catch (IOException ex) {
            System.out.println("Algo ha ido mal: "+ex.getMessage());
        }
        
    }
    
    private static  void ordena(List<Automovil> aut) {
      Automovil[] autArray=aut.toArray(new Automovil[0]);
      Arrays.sort(autArray);
      aut.clear();
      aut.addAll(Arrays.asList(autArray));
    }
    
}
